﻿<!DOCTYPE html>
<html lang="en">
  
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="">
    <meta name="author" content="">
    <title>
      Opus Laboris Recruitment: Client Vacancy
    </title>
    <link rel="shortcut icon" href="images/icons/favicon.ico" />

    <!-- Javascript Libraries -->
    <script src="javascript/TriSysLoad.js" type="text/javascript"></script>
    <script src="javascript/jquery.min.js" type="text/javascript"></script>

</head>
  
<body style="display: none">
    <div id="TriSysWeb-Header"></div>
    <div class="jumbotron">
        <div class="container">
            <div class="row">
                <div class="col-md-9">
                    <h1>
                        Client Vacancy
                    </h1>
                </div>
                <div class="col-md-3">
                    <img src="images/Vacancy.png"
                         height="150">
                </div>
                <div class="col-md-4" style="display: none;">

                </div>
            </div>
            <p>
                As a client, you can edit this vacancy and view all candidates who have applied to it.
            </p>
            <p style="text-align: center">
            </p>
        </div>
    </div>
    <div class="container">
        <div class="panel panel-default">
            <div class="panel-heading">
                <h3 class="panel-title">
                    Vacancy Details
                </h3>
            </div>
            <div class="panel-body">
                <div class="form-group">
                    <label>
                        Reference
                    </label>
                    <input id="RequirementConfigFields_RequirementReference" readonly="readonly" style="width:100%" />
                </div>
                <div class="form-group">
                    <label>
                        Status
                    </label>
                    <br />
                    <input id="RequirementConfigFields_RequirementStatus" style="width:100%" />
                </div>
                <div class="form-group">
                    <label>
                        Job Title
                    </label>
                    <br />
                    <input id="RequirementConfigFields_JobTitle" style="width:100%" />
                </div>
                <div class="form-group">
                    <label>
                        Type
                    </label>
                    <input id="Requirement_Type" style="width:100%" />
                </div>
                <div class="form-group">
                    <label>
                        Start Date
                    </label>
                    <br />
                    <input id="RequirementConfigFields_EarliestStartDate" style="width:240px" />
                </div>
                <div class="form-group" id="fieldGroup-ContractDuration">
                    <label>
                        Duration in Weeks
                    </label>
                    <br />
                    <input id="RequirementConfigFields_DurationInWeeks" style="width:100px" />
                </div>
                <div class="form-group">
                    <label>
                        Date Posted
                    </label>
                    <br />
                    <input id="RequirementConfigFields_DateInitiated" readonly="readonly" style="width:240px" />
                </div>
                <div class="form-group">
                    <label>
                        Site Address
                    </label>
                    <input id="RequirementConfigFields_SiteAddressList" style="width:100%" />
                </div>
                <div class="form-group" style="display:none">
                    <label>
                        Site Address ID
                    </label>
                    <div id="RequirementConfigFields_SiteAddressId"></div>
                </div>
                <div class="form-group" style="display:none">
                    <label>
                        Site Address
                    </label>
                    <div id="RequirementConfigFields_SiteAddress"></div>
                </div>
                <div class="form-group">
                    <label>
                        Job Description
                    </label>
                    <textarea class="k-textbox" id="RequirementConfigFields_WebText" rows="5" style="width:100%; resize: none"></textarea>
                </div>
                <div class="form-group" style="display:none">
                    <label>
                        Internal Comments
                    </label>
                    <textarea class="k-textbox" id="RequirementConfigFields_Comments" rows="5" style="width:100%; resize: none"></textarea>
                </div>
                <div class="form-group" id="fieldGroup-JobDescriptionDocument">
                    <label>
                        Job Description Document
                    </label>
                    <div id="RequirementConfigFields_JobDescription" style="width:100%;"></div>
                </div>
                <br />
                <div class="form-group" id="fieldGroup-Salary">
                    <label>
                        Maximum Salary
                    </label>
                    <div id="RequirementConfigFields_MaximumSalary" style="width:100%"></div>
                </div>
                <div class="form-group" id="fieldGroup-Rate">
                    <label>
                        Maximum Charge Rate
                    </label>
                    <div id="RequirementConfigFields_MaximumChargeRate" style="width:100%"></div>
                </div>

            </div>
        </div>
    </div>
    <!-- Grid Actions -->
    <div class="container">
        <div class="panel panel-default" id="pnlClientVacancy">
            <div class="panel-heading">
                <h3 class="panel-title">
                    Actions
                </h3>
            </div>
            <div class="panel-body">

                <div class="btn-group">
                    <a class="btn btn-primary" id="btnSave" onclick="TriSysWeb.Pages.ClientVacancy.Save()">Save</a>
                    <a class="btn btn-default" id="btnDelete" onclick="TriSysWeb.Pages.ClientVacancy.Delete()">Delete</a>
                    <a class="btn btn-warning" id="btnBack" onclick="history.go(-1);">Back to Previous Page</a>
                </div>
            </div>
        </div>
    </div>
    <!-- End of Grid Actions -->
    <div class="container">
        <div id="TriSysWeb-Footer"></div>
    </div>
    <!-- /container -->

    <script type="text/javascript">
        $(document).ready(function ()
        {
            TriSysLoad.ApexFramework.LoadDynamically(function ()
            {
                var documentReadyObject = {
                    ClientLogin: false,
                    CandidateLogin: false,
                    SQLLogin: true,
                    PageName: "clientvacancy",
                    ParentMenuName: "client",
                    CallbackFunction: function ()
                    {
                        // We expect a URL with ?RequirementId= parameter
                        TriSysWeb.Pages.ClientVacancy.LoadRecordFromURL(window.location.href);
                    }
                };
                TriSysWeb.Pages.DocumentReady(documentReadyObject);
            });
        });
    </script>
</body>

</html>
